
.globl _start
.set noat
.set noreorder

.text

_start:
main:
loop:
	la     $6, vect_a
	la     $7, vect_b
	la     $8, vect_c
	addi   $9, $0, 16
vect_next:
	// load the words
	lw     $2, 0($6)
	lw     $3, 0($7)
	add    $2, $2, $3
	// store the word
	sw     $2, 0x0($8)
	addi   $6, $6, 4
	addi   $7, $7, 4
	addi   $8, $8, 4
	addi   $9, $9, -1
	bne    $9, $0, vect_next
	nop

	// stop execution wait for debugger/user
	//break
	// ensure that continuation does not
	// interpret random data
	beq    $0, $0, loop
	nop

.data

vect_a:
	.word  0x01
	.word  0x02
	.word  0x03
	.word  0x04
	.word  0x05
	.word  0x06
	.word  0x07
	.word  0x08
	.word  0x09
	.word  0x0a
	.word  0x0b
	.word  0x0c
	.word  0x0d
	.word  0x0e
	.word  0x0f
	.word  0x00
vect_b:
	.word  0x10
	.word  0x20
	.word  0x30
	.word  0x40
	.word  0x50
	.word  0x60
	.word  0x70
	.word  0x80
	.word  0x90
	.word  0xa0
	.word  0xb0
	.word  0xc0
	.word  0xd0
	.word  0xe0
	.word  0xf0
	.word  0x00

//	.skip  8	// remove and try again
vect_c:
	.skip  64
