#define t0 $8
#define t1 $9
#define t2 $10
#define t3 $11
#define t4 $12

#define s0 $16
#define s1 $17
#define s2 $18
#define s3 $19

.globl    pole
.data
.align    2

pole:
.word    5
.word    3
.word    4
.word    1
.word    2

.text
.globl start
.ent start

start:

addi s1, $0, 0             // i = 0, kde s1=i
addi s3, $0, 5             // N = 5, kde s3=N, horni mez vnejsiho cyklu

for_vnej:
  beq  s1, s3, done_vnej   // if s1==s3 skok na done_vnejsi
  la  s0, pole             // s0 = &pole[0], nastaveni se na zacatek pole
  addi s2, $0, 0           // j = 0, kde s2=j
  sub  t0, s3, s1          // t0 = N-i
  addi t0, t0, -1          // t0 = t0-1 = N-1-i, horni mez vnitrniho cyklu
for_vnit:
    beq  s2, t0, done_vnit // if s2==t0 (j==N-1-i) ukonceni cyklu
    addi t1, s0, 4         // t1 = &pole[j+1]
    lw   t2, 0x0(t1)       // t2 = pole[j+1]
    lw   t3, 0x0(s0)       // t3 = pole[j]
    slt  t4, t2, t3        // porovnani pole[j+1]<pole[j], t4 se nastavi pokud podminka plati (t2<t3)
if:
      beq  t4, $0, end_if  // pokud se t4 nenastavilo neni potreba prvky prohazovat a skace se na end_if
      sw   t3, 0x0(t1)     // pole[j+1] = t3
      sw   t2, 0x0(s0)     // pole[j] = t2
end_if:
    addi s2, s2, 1         // j++
    addi s0, s0, 0x4       // posun na dalsi polozku v poli
    j    for_vnit
done_vnit:
  addi s1, s1, 0x1         // i++
  j    for_vnej
done_vnej:
nop
.end start
